Schemas
List schemas
List extraction schemas for the organization.
GET
/
api
/
v2
/
structs
/
List extraction schemas (Structs) for the current user's org
curl --request GET \
--url https://api.example.com/api/v2/structs/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/structs/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/structs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"id": 123,
"slug": "<string>",
"name": "<string>",
"field_count": 123,
"has_unpublished_changes": true,
"current_version_number": 123,
"version_count": 123,
"updated_at": "2023-11-07T05:31:56Z",
"status": "draft",
"mode": "form",
"black_hole_enabled": true
}
],
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"
}Extraction schemas (code name
Struct) for the caller’s organization. The product UI says Schemas.Authorizations
extractApiKeybearerAuthcookieAuth
⌘I
List extraction schemas (Structs) for the current user's org
curl --request GET \
--url https://api.example.com/api/v2/structs/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/structs/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/structs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"id": 123,
"slug": "<string>",
"name": "<string>",
"field_count": 123,
"has_unpublished_changes": true,
"current_version_number": 123,
"version_count": 123,
"updated_at": "2023-11-07T05:31:56Z",
"status": "draft",
"mode": "form",
"black_hole_enabled": true
}
],
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"
}
